Subject: Re: draft-kurtis-multihoming-longprefix comments

From: Kurt Erik Lindqvist <[email-masked]>
Date: Tue, 7 Jan 2003 10:23:49 +0100

> Major comments:
>
>  1) Seems to give wrong impression about the effectiveness of this
> mechanism.  I believe (I'm collecting and analyzing some data too) 
> that a
> significant portion of multihomers do it because they want to obtain
> operator independence.  They usually don't have PI addresses, but what 
> I'd
> call "PA sold off as PI" or "PA advertised as PI". (Esp 5.3)
>
> There must be an applicability section or statement early on what this
> tries to accomplish.

Well, what I am looking for is

a) Any idea of why people are doing this. We are again back to the 
problem that we should first understand what we are trying to solve 
before we start posting solutions. From the discussion in Atlanta, this 
was just a suggestion to at least buy us some time.

>
>  2) If we really need to go down with longer prefixes approach, I'd 
> really
> want to restrict hem to peerings (and even smaller upstreams) only, 
> _NOT_
> DMZ.

Well, you could use one of the mechanisms suggested in ptomine to limit 
this.

Best regards,

- kurtis -

---

From: "Tony Li" <[email-masked]>
Date: Tue, 7 Jan 2003 11:45:44 -0800

|   > Needless to say, try that one in the real world and see how 
|   > far you get with it.
|   
|   The phone system allows this (for a price), so people 
|   expect it to be
|   possible from the 'more powerful' Internet.

Fine.  Let's start charging for prefixes.

Tony

---

From: "Tony Li" <[email-masked]>
Date: Tue, 7 Jan 2003 15:25:17 -0800

|   I think Tony's talking about routing protocols, not hardware.

I always worry about both.  They are just different resources for
the exact same problem.   

|   In any case, I too will disagree with Tony, and say that no 
|   possible routing
|   technology can scale as well as some people would like it to. :-)

True, however, I have since lowered my standard: anything that will
remain lower than Moore's law would be fine with me.

If folks are not willing to compromise to this standard, I'm happy 
to discuss other alternatives as long as they come with an 
implementation strategy.

Tony

---

From: "Tony Li" <[email-masked]>
Date: Tue, 7 Jan 2003 15:27:28 -0800

|   Now obviously in the real world interconnection between 
|   regions within
|   an ISP network is denser than between ISP networks within 
|   regions, but
|   regional interconnection is still dense enough to make it worth the
|   trouble.

Only if there is existing regional interconnectivity.  If there
is, then this is a form of topological aggregation (good).  If not,
then one is either forced to deaggregate (bad), force a regional
interconnect (worse), or force mutual free regional transit (worst).

Tony